
function sonuc = SinePgrm(x)

i = 1;
sonuc = 0;
terim = 1;	% while'in sarti saglanmasi icin mutlak degeri 1e-5'den buyuk herhangi bir deger

while abs(terim) > 1e-5
    terim = (-1) ^ (i + 1) * x ^ (2 * i - 1) / factorial(2 * i - 1);
    sonuc = sonuc + terim;
    i = i + 1;
end
